Форум программистов, компьютерный форум, киберфорум
Программирование Android
Войти
Регистрация
Восстановить пароль
 
Рейтинг 4.50/4: Рейтинг темы: голосов - 4, средняя оценка - 4.50
0 / 0 / 0
Регистрация: 19.11.2018
Сообщений: 7
1

Запрет на установку приложения для определенных версий андроид

28.01.2019, 11:50. Просмотров 687. Ответов 7
Метки нет (Все метки)


Добрый день.
Подскажите, пожалуйста, возможно ли ка то установить запрет на установку приложения из гуглплей для определенных версий андроид, а именно андроид9. Просто на девятке вдруг стала вылетать ошибка, которая на других версиях не наблюдается. Т.е. как сделать чтобы пользователь на определенной версии андроида просто не мог загрузить приложение?
0
Programming
Эксперт
94731 / 64177 / 26122
Регистрация: 12.04.2006
Сообщений: 116,782
28.01.2019, 11:50
Ответы с готовыми решениями:

Добавить в установку и развертывание приложения установку необходимого ПО
Вопрос такой, необходимо что бы при установки приложения устанавливалось так же дополнительное ПО,...

Разработка приложения для всех версий Windows
Добрый вечер всем. Возможно ли реализовать приложение совместимое со всеми версиями windows?...

Запрет на установку приложений
как в С# запретить установку приложений?

Запрет на установку флешек
Доброго времени суток. Помогите пожалуйста реализовать запрет на использование незнакомых флешек...

__________________
Помогаю в написании студенческих работ здесь.
Записывайтесь на профессиональные курсы Android-разработчиков
7
1407 / 1057 / 373
Регистрация: 08.05.2012
Сообщений: 4,802
28.01.2019, 12:06 2
Понизить версию в градле.
Исправить ошибку, конечно, не рассматривается.
1
0 / 0 / 0
Регистрация: 19.11.2018
Сообщений: 7
28.01.2019, 12:29  [ТС] 3
ошибку не исправить и гредл не изменить - нет исходника
но набудущее вы имеете ввиду в гредле ?:
minSdkVersion 27
targetSdkVersion 27
versionCode 1
0
2881 / 2293 / 769
Регистрация: 12.05.2014
Сообщений: 7,978
28.01.2019, 13:07 4
раньше можно было указать maxSdkVersion
но если я не ошибаюсь, сейчас это не актуально

основной аргумент - ну допустим там указано что 21 максимальная версия
у пользователя обновляется прошивка и вот там уже 6-й андроид и что в таком случае делать гуглу, удалять чтобы установленное приложение? Нет конечно. Вот поэтому и не актуально.

как вариант: если в прилетают логи с крешами и там указана модель аппарата то добавить ее в Excluded в консоли и все
1
1407 / 1057 / 373
Регистрация: 08.05.2012
Сообщений: 4,802
28.01.2019, 13:49 5
Идея в том, что новые юзеры не смогут найти в маркете это приложение, если у них версия больше максимальной или меньше минимальной. Ну, во всяком случае, раньше так было. А те, что уже установили... ну это на совести разработчика будет.
Да и версии новые обратно-совместимые, надо очень постараться, чтобы ошибка была только на какой-то конкретной версии ОС. Нюансы версий, аля разрешения с 23й, легко наблюдаются при тестировании, даже если никогда ничего про это не слышал (или забыл, бывает и такое).
1
0 / 0 / 0
Регистрация: 19.11.2018
Сообщений: 7
28.01.2019, 16:31  [ТС] 6
Самое непонятное, что такое же приложение, но с другим контентом на эмуляторе по девяткой работает. А по тому приложению прилетают краши c ошибкой по базе данных SQLite(в ней весь контент размещен), что не нет таблиц.
0
1407 / 1057 / 373
Регистрация: 08.05.2012
Сообщений: 4,802
28.01.2019, 22:39 7
Потому что миграцию надо делать, когда появляются новые таблицы, столбцы и вообще что-то изменилось в бд.
0
0 / 0 / 0
Регистрация: 19.11.2018
Сообщений: 7
29.01.2019, 11:31  [ТС] 8
В том то и проблема, что не было никаких новых таблиц. Просто на девятке не работает приложение. Бд копируется при установке в память телефона и далее из нее читается.
0
IT_Exp
Эксперт
87844 / 49110 / 22898
Регистрация: 17.06.2006
Сообщений: 92,604
29.01.2019, 11:31

Заказываю контрольные, курсовые, дипломные и любые другие студенческие работы здесь или здесь.

Запрет на установку программ
Здравствуйте всем! Решено было в офисе сделать невозможной установку программ всем пользователям из...

Запрет на установку нового оборудования
Доброго времени суток. Нужен ваш совет. Ситуация следующая: на копе стоят два пользователя,...

Возмо ли изменить настройки в этой BIOS, чтобы она допускала установку более старых версий Windows ?
В старом ноотбуке если из Windows нельзя было установить более старую версию Windows, то из bios...

Запрет на установку одного из компонентов в систему
Доброго времени суток, не нашел где разместить, поэтому пишу сюда, думаю многие слышали и видели...


Искать еще темы с ответами

Или воспользуйтесь поиском по форуму:
8
Ответ Создать тему
Опции темы

КиберФорум - форум программистов, компьютерный форум, программирование
Powered by vBulletin® Version 3.8.9
Copyright ©2000 - 2021, vBulletin Solutions, Inc.